Bug 1850672 - libvirt: Make master disk size configurable
Summary: libvirt: Make master disk size configurable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.0
Assignee: Praveen Kumar
QA Contact: Praveen Kumar
URL:
Whiteboard:
Depends On: 1850862
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-24 16:59 UTC by Praveen Kumar
Modified: 2020-07-13 17:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1850862 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:44:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3798 0 None closed Bug 1850672:[release-4.5] Libvirt: Make master disk size configurable 2020-06-30 10:21:18 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:45:14 UTC

Description Praveen Kumar 2020-06-24 16:59:11 UTC
A user should able to specify the volume size of master node by configuring the machineset like they can do it for other cloud providers. Also this will be really useful for crc usecase where disk size needs to be expand after installation.


```
$ openshift-install create manifests --dir mydir
$ yq write --inplace mydir/openshift/99_openshift-cluster-api_master-machines-0.yaml spec.providerSpec.value.volume[volumeSize] 32212254720
$ openshift-install create cluster --dir mydir
```

Comment 5 Praveen Kumar 2020-06-29 05:10:50 UTC
I have verified it on 4.5 side and it works as expected for libvirt.

Comment 6 errata-xmlrpc 2020-07-13 17:44:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.